Check a word

- « pspell_add_to_session

- pspell_clear_session »

- PHP Manual
- Pspell Functions
- Check a word

# pspell_check

(PHP 4 >= 4.0.2, PHP 5, PHP 7, PHP 8)

pspell_check — Check a word

### Description

pspell_check(PSpell\Dictionary `$dictionary`, string `$word`): bool

pspell_check() checks the spelling of a word.

### Parameters

`dictionary`

  An PSpell\Dictionary instance.

`word`

  The tested word.

### Return Values

Returns `true` if the spelling is correct, `false` if not.

### Changelog

Version | Description
--- | ---
8.1.0 | The `dictionary` parameter expects an PSpell\Dictionary instance now; previously, a resource was expected.

### Examples

Example #1 pspell_check() Example

    <?php
    $pspell = pspell_new("en");

    if (pspell_check($pspell, "testt")) {
        echo "This is a valid spelling";
    } else {
        echo "Sorry, wrong spelling";
    }
    ?>